#include <RH_ASK.h>
#define SENSOR A0
#define SPEED (uint16_t)1200
#define RX_PIN (uint8_t)11
#define TX_PIN (uint8_t)12
#define PTT_PIN (uint8_t)10
#define PTT_INVERTED false
RH_ASK driver(SPEED, RX_PIN, TX_PIN, PTT_PIN, PTT_INVERTED);
#define Dat A0
#define Led 5
int faza = 0;
char data[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};

void setup() {
Serial.begin(115200);
pinMode(SENSOR, INPUT);

/*
Инициализируем приёмник
*/
if (!driver.init()) {
Serial.println(F("RF init failed!"));
while (true) {
delay(1);
}
}

/*
Настройка встроенного светодиода
*/
pinMode(LED_BUILTIN, OUTPUT);

pinMode(Dat, INPUT);
pinMode(Led, OUTPUT);
}

void loop() {
int a = digitalRead(SENSOR);
delay(50);

if (a == 1) {
faza = 1;
}

if (faza == 1 && a == 0) {
unsigned long currentTime = millis();
faza = 2;
}

int v = digitalRead(Dat);

if (v == 0) {
digitalWrite(Led, HIGH);
driver.send((uint8_t*)data, 5);
driver.waitPacketSent();
delay(500);
}

int length = strlen(data);

if (faza == 2 && length == 5) {
unsigned long b = millis();
Serial.print(b);
faza = 0;
}

digitalWrite(Led, LOW);
}